PasswordConverter (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto

## Enum PasswordConverter

- java.lang.Object
- - java.lang.Enum<PasswordConverter>
  - - org.bouncycastle.crypto.PasswordConverter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PasswordConverter>, CharToByteConverter

      public enum PasswordConverter
      extends java.lang.Enum<PasswordConverter>
      implements CharToByteConverter

  Standard char[] to byte[] converters for password based derivation algorithms.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCII` Do a straight char[] to 8 bit conversion.
    `PKCS12` Do char[] to BMP conversion (i.e. 2 bytes per character).
    `UTF8` Do a char[] conversion by producing UTF-8 data.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PasswordConverter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PasswordConverter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.bouncycastle.crypto.CharToByteConverter

      `convert, getType`

- - ### Enum Constant Detail

    - #### ASCII

          public static final PasswordConverter ASCII

      Do a straight char[] to 8 bit conversion.

    - #### UTF8

          public static final PasswordConverter UTF8

      Do a char[] conversion by producing UTF-8 data.

    - #### PKCS12

          public static final PasswordConverter PKCS12

      Do char[] to BMP conversion (i.e. 2 bytes per character).

  - ### Method Detail

    - #### values

          public static PasswordConverter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PasswordConverter c : PasswordConverter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PasswordConverter valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null